Class Index | File Index

## Classes

- _global_
- Array
- Boolean
- Date
- Function
- javascript.ASTManager
- javascript.Indexer
- javascript.JavaScriptOccurrences
- javascript.JSOutliner
- javascript.Summary
- Object
- org.eclipse.orion.client.cf.CFService
- orion.breadcrumbs.BreadCrumbs
- orion.browse.FileBrowser
- orion.browse.FileBrowserOptions
- orion.BrowseView
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeRegistry
- orion.core.TypeDef
- orion.core.TypeDefProperties
- orion.core.TypeDefRegistry
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.edit.EditorContext
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BaseEditor
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistProviderInfo
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextChange
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.TextViewShowOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EditorView
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.FolderView
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.PageLinks.PageLinksInfo
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.projectClient.ProjectClient
- orion.Promise
- orion.ReadonlyEditorView
- orion.regex
- orion.search.AdvSearchOptRenderer
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceEvent
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.settings.ui.PropertyWidget
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.ProjectNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.SyntaxChecker
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.webui.contextmenu.ContextMenu
- orion.webui.dialogs.ConfirmDialog
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.dialogs.PromptDialog
- orion.webui.littlelib
- orion.webui.Splitter
- orion.widgets.browse.ResourceSelector
- orion.widgets.Filesystem.FilesystemSwitcher
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.core.ContentTypeRegistry

A service for querying orion.core.ContentTypes.
Defined in: </jobs/genie.eclipse.orion/orion-client/workspace/bundles/org.eclipse.orion.client.core/web/orion/contentTypes.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.core.ContentTypeRegistry(dataSource) A registry that provides information about orion.core.ContentTypes.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getContentType(id) Gets a ContentType by ID.
| getContentTypes() Gets all the ContentTypes in the registry.
| getContentTypesMap() Gets a map of all ContentTypes.
| getFileContentType(fileMetadata) Looks up the ContentType for a file or search result, given the metadata.
| getFilenameContentType(filename) Looks up the ContentType, given a filename.
| isExtensionOf(contentTypeA, contentTypeB) Determines whether a ContentType is an extension of another.
| isSomeExtensionOf(contentType, contentTypes) Similar to #isExtensionOf, but works on an array of contentTypes.

Class Detail
orion.core.ContentTypeRegistry(dataSource)
A registry that provides information about orion.core.ContentTypes.

If a orion.serviceregistry.ServiceRegistry is available, clients should request the service with objectClass `"orion.core.contentTypeRegistry"` from the registry rather than instantiate this class directly. This constructor is intended for use only by page initialization code.

Parameters:
{orion.serviceregistry.ServiceRegistry|orion.core.ContentType[]} dataSource
  The service registry to use for looking up available content types and for registering this ContentTypeRegistry.

  Alternatively, an array of ContentType data may be passed instead, which allows clients to use this ContentTypeRegistry without a service registry.

Method Detail
{orion.core.ContentType} getContentType(id)
Gets a ContentType by ID.

Parameters:
{String} id
  The ContentType ID.

Returns:
  {orion.core.ContentType} The ContentType having the given ID, or `null`.

{orion.core.ContentType[]} getContentTypes()
Gets all the ContentTypes in the registry.

Returns:
  {orion.core.ContentType[]} An array of all registered ContentTypes.

{Object} getContentTypesMap()
Gets a map of all ContentTypes.

Returns:
  {Object} A map whose keys are ContentType IDs and values are the orion.core.ContentType having that ID.

{orion.core.ContentType} getFileContentType(fileMetadata)
Looks up the ContentType for a file or search result, given the metadata.

Parameters:
{Object} fileMetadata
  Metadata for a file or search result.

Returns:
  {orion.core.ContentType} The ContentType for the file, or `null` if none could be found.

{orion.core.ContentType} getFilenameContentType(filename)
Looks up the ContentType, given a filename.

Parameters:
{String} filename
  The filename.

Returns:
  {orion.core.ContentType} The ContentType for the file, or `null` if none could be found.

{Boolean} isExtensionOf(contentTypeA, contentTypeB)
Determines whether a ContentType is an extension of another.

Parameters:
{orion.core.ContentType|String} contentTypeA
  ContentType or ContentType ID.
{orion.core.ContentType|String} contentTypeB
  ContentType or ContentType ID.

Returns:
  {Boolean} Returns `true` if `contentTypeA` equals `contentTypeB`, or `contentTypeA` descends from `contentTypeB`.

{Boolean} isSomeExtensionOf(contentType, contentTypes)
Similar to #isExtensionOf, but works on an array of contentTypes.

Parameters:
{orion.core.ContentType|String} contentType
  ContentType or ContentType ID.
{orion.core.ContentType[]|String[]} contentTypes
  Array of ContentTypes or ContentType IDs.

Returns:
  {Boolean} `true` if `contentType` equals or descends from any of the ContentTypes in `contentTypes`.

Documentation generated by JsDoc Toolkit 2.4.0 on Mon May 05 2014 22:06:13 GMT-0400 (EDT)